
From: "Randy.Dunlap" <rddunlap@osdl.org>

  CHECK   mm/vmscan.c
mm/vmscan.c:842:22: warning: return expression in void function

Nick changed shrink_cache() to void, but one call was missed.

From: Mika Kukkonen <mika@osdl.org>
Signed-off-by: Randy Dunlap <rddunlap@osdl.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/mm/vmscan.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN mm/vmscan.c~sparse-fix-to-mm-vmscanc mm/vmscan.c
--- 25/mm/vmscan.c~sparse-fix-to-mm-vmscanc	2004-06-13 21:31:09.403179248 -0700
+++ 25-akpm/mm/vmscan.c	2004-06-13 21:31:09.407178640 -0700
@@ -838,7 +838,7 @@ shrink_zone(struct zone *zone, struct sc
 	if (count >= SWAP_CLUSTER_MAX) {
 		atomic_set(&zone->nr_scan_inactive, 0);
 		sc->nr_to_scan = count;
-		return shrink_cache(zone, sc);
+		shrink_cache(zone, sc);
 	}
 }
 
_
